Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class GreaterThanOrEqualsOperator

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.BinaryOperator
          org.apache.taglibs.standard.lang.jstl.RelationalOperator
              org.apache.taglibs.standard.lang.jstl.GreaterThanOrEqualsOperator

    public class GreaterThanOrEqualsOperator

extends RelationalOperator

The implementation of the greater than or equals operator

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group

Field Summary
`static GreaterThanOrEqualsOperator` | `SINGLETON`

Constructor Summary
`GreaterThanOrEqualsOperator()` Constructor

Method Summary
`boolean` | `apply(double pLeft, double pRight, Logger pLogger)` Applies the operator to the given double values
`boolean` | `apply(long pLeft, long pRight, Logger pLogger)` Applies the operator to the given long values
`Object` | `apply(Object pLeft, Object pRight, Object pContext, Logger pLogger)` Applies the operator to the given value
`boolean` | `apply(String pLeft, String pRight, Logger pLogger)` Applies the operator to the given String values
`String` | `getOperatorSymbol()` Returns the symbol representing the operator

Methods inherited from class org.apache.taglibs.standard.lang.jstl.BinaryOperator
`shouldCoerceToBoolean, shouldEvaluate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SINGLETON

    public static final GreaterThanOrEqualsOperator SINGLETON

Constructor Detail

### GreaterThanOrEqualsOperator

    public GreaterThanOrEqualsOperator()

  Constructor

Method Detail

### getOperatorSymbol

    public String getOperatorSymbol()

  Returns the symbol representing the operator

  Specified by:
    `getOperatorSymbol` in class `BinaryOperator`

### apply

    public Object apply(Object pLeft,
                        Object pRight,
                        Object pContext,
                        Logger pLogger)
                 throws ELException

  Applies the operator to the given value

  Overrides:
    `apply` in class `RelationalOperator`
  Throws:
    `ELException`

### apply

    public boolean apply(double pLeft,
                         double pRight,
                         Logger pLogger)

  Applies the operator to the given double values

  Specified by:
    `apply` in class `RelationalOperator`

### apply

    public boolean apply(long pLeft,
                         long pRight,
                         Logger pLogger)

  Applies the operator to the given long values

  Specified by:
    `apply` in class `RelationalOperator`

### apply

    public boolean apply(String pLeft,
                         String pRight,
                         Logger pLogger)

  Applies the operator to the given String values

  Specified by:
    `apply` in class `RelationalOperator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.